Attribute VB_Name = "DSHELP10"
' DSHELPER DLL 1.0 MODULE
' NEEDS dshelper.dll & DIRECTX

' DIRECTX, DIRECTSOUND & MICROSOFT ARE REGISTERED TRADEMARKS
' OR TRADEMARKS OF MICROSOFT CORPORATION IN THE USA AND/OR IN OTHER COUNTRIES

' COPYRIGHT BY MATTHIAS WAGNER 2002

' init flags:
Public Const DSH_SHOWDIALOG = 1           ' not supported, will be ignored
Public Const DSH_CHOOSEDEVICE = 2         ' choose default device, even if guid is specified
Public Const DSH_NOTEXCLUSIVE = 4         ' use normal cooperative level

' load flags:
Public Const DSH_FILE = 0                 ' file specified
Public Const DSH_RESOURCE = 1             ' resource specified-> not implemented
Public Const DSH_SEEKFREECHANNEL = 2      ' seek a free channel instead of using the specified one
Public Const DSH_STATIC = 4               ' not implemented
Public Const DSH_OGG = 8		  ' Force Ogg Format

' play flags:
Public Const DSH_PLAYONCE = 0             ' play just once
Public Const DSH_LOOP = 1                 ' play until other operation (play, stop, unload)
Public Const DSH_NOREPOSITION = 2         ' dont change current play position

' min & max definitions:
Public Const DSH_MAXCHANNEL = 32          ' max channels!
Public Const DSH_VOLUMEMAX = 0            ' max volume
Public Const DSH_VOLUMEMIN = -10000       ' min volume
Public Const DSH_PANMIN = -10000          ' min pan (left speaker-> full volume, right speaker-> silent)
Public Const DSH_PANMAX = 10000           ' max pan (other way!)
Public Const DSH_FREQUENCYMIN = 100       ' min frequency
Public Const DSH_FREQUENCYMAX = 100000    ' max frequency

' return values (except dsh_GetDirectSound())
Public Const DSHRES_FALSE = 0
Public Const DSHRES_TRUE = 1
Public Const DSHRES_OK = 0
Public Const DSHRES_GENERALERROR = -1     ' general error
Public Const DSHRES_CANTCREATEDS = -5     ' DirectSound-object could not be created
Public Const DSHRES_CANTSETCOOP = -2      ' cooperative level could not be set
Public Const DSHRES_CANTCREATEBUFFER = -3 ' buffer could not be created
Public Const DSHRES_NOTINIT = -4          ' dsh_Init() has not been called yet
Public Const DSHRES_NOTFREE = -6          ' channel is not free
Public Const DSHRES_NOWAVE = -7           ' file is not a wave file
Public Const DSHRES_WRONGPARAM = -8       ' wrong parameter



Declare Function dsh_Init Lib "dshelper.dll" (ByVal lpGuid As Long, ByVal hWnd As Long, ByVal flags As Long) As Long
Declare Function dsh_GetDirectSound Lib "dshelper.dll" () As Long
Declare Function dsh_Unload Lib "dshelper.dll" () As Long
Declare Function dsh_GetCaps Lib "dshelper.dll" (lpCaps As Any) As Long

Declare Function dsh_ChannelLoad Lib "dshelper.dll" (ByVal lpszResource As String, ByVal channel As Long, ByVal flags As Long) As Long
Declare Function dsh_ChannelPlay Lib "dshelper.dll" (ByVal channel As Long, ByVal flags As Long) As Long
Declare Function dsh_ChannelStop Lib "dshelper.dll" (ByVal channel As Long, ByVal flags As Long) As Long
Declare Function dsh_ChannelUnload Lib "dshelper.dll" (ByVal channel As Long) As Long
Declare Function dsh_ChannelSetVolume Lib "dshelper.dll" (ByVal channel As Long, ByVal Volume As Long) As Long
Declare Function dsh_ChannelGetVolume Lib "dshelper.dll" (ByVal channel As Long, ByRef Volume As Long) As Long
Declare Function dsh_ChannelGetPosition Lib "dshelper.dll" (ByVal channel As Long, ByRef dwPosition As Long) As Long
Declare Function dsh_ChannelSetPosition Lib "dshelper.dll" (ByVal channel As Long, ByVal dwPosition As Long) As Long
Declare Function dsh_ChannelGetFrequency Lib "dshelper.dll" (ByVal channel As Long, ByRef lpdwFrequency As Long) As Long
Declare Function dsh_ChannelSetFrequency Lib "dshelper.dll" (ByVal channel As Long, ByVal dwFrequency As Long) As Long
Declare Function dsh_ChannelSetPan Lib "dshelper.dll" (ByVal channel As Long, ByVal lPan As Long) As Long
Declare Function dsh_ChannelGetPan Lib "dshelper.dll" (ByVal channel As Long, ByRef lPan As Long) As Long
Declare Function dsh_ChannelIsLooping Lib "dshelper.dll" (ByVal channel As Long) As Long
Declare Function dsh_ChannelIsPlaying Lib "dshelper.dll" (ByVal channel As Long) As Long
Declare Function dsh_ChannelGetBuffer Lib "dshelper.dll" (ByVal channel As Long, ByRef lpdsb As Any) As Long
